Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 02-14-2010, 01:16 PM   #1
michaelbn
Junior Member
michaelbn began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Feb 2010
Device: Sony PRS-600
Calibre Installation on opensuse 11.1

Hello,
I just tried to install calibre 0.6.29 on my oss 11.1 using the tarball (as my glibc-version is lower than 2.10). There where some dependencies which I could resolve (modules sipconfig, mechanize, cssutils and others) but then I got the message:
mip4:/opt/calibre # python setup.py install
Traceback (most recent call last):
* File "setup.py", line 99, in <module>
* * sys.exit(main())
* File "setup.py", line 85, in main
* * command.run_all(opts)
* File "/opt/calibre/setup/__init__.py", line 158, in run_all
* * self.run_cmd(self, opts)
* File "/opt/calibre/setup/__init__.py", line 149, in run_cmd
* * cmd.pre_sub_commands(opts)
* File "/opt/calibre/setup/install.py", line 128, in pre_sub_commands
* * import calibre.utils.config as c
* File "/opt/calibre/src/calibre/__init__.py", line 45, in <module>
* * cssutils.log.setLevel(logging.WARN)
* File "/usr/lib/python2.6/site-packages/cssutils/errorhandler.py", line 73,
in __getattr__
* * '(errorhandler) No Attribute "%s" found' % name)
AttributeError: (errorhandler) No Attribute "setLevel" found

I must confess that I don't understand this message and therefore I don't know what's wrong. I would appreciate any comment on how to resolve this.
Thank you in advance,
Michael
michaelbn is offline   Reply With Quote
Old 02-14-2010, 01:24 PM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 26,435
Karma: 5383257
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
The version of cssutils on your system is too old, calibre need 0.9.7 alpha2
kovidgoyal is online now   Reply With Quote
 
Advertisement
Old 02-14-2010, 04:37 PM   #3
michaelbn
Junior Member
michaelbn began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Feb 2010
Device: Sony PRS-600
Thanks for the quick answer. I tried to find cssutils 0.9.7 alpha2 and I only found it at python.org (it seems that there is no package for my distribution - nor for the newer version 11.2). I tried to install required cssutils version as described at python.org but it failed (the last line says: RuntimeError: maximum recursion depth exceeded in cmp). I'm not a programmer so I don't know what to do at this point.
Is there an older version of calibre which works with cssutils-0.9.5b2 (which comes with oss 11.1). Thanks in advance
michaelbn is offline   Reply With Quote
Old 02-14-2010, 06:30 PM   #4
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 26,435
Karma: 5383257
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
older versions are available at sourceforge
kovidgoyal is online now   Reply With Quote
Old 02-14-2010, 07:35 PM   #5
michaelbn
Junior Member
michaelbn began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Feb 2010
Device: Sony PRS-600
Yes - from there I got the 0.6.29 version. But how can I tell which one still works with cssutils-0.9.5b2? There is no further information nor in the changelog I could find information. Must I try all older versions in order to find the latest one which works with the older cssutils?
michaelbn is offline   Reply With Quote
Old 02-14-2010, 09:39 PM   #6
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 26,435
Karma: 5383257
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
There's an entry about cssutils in the changelog. Just use the search function of your browser to find it.
kovidgoyal is online now   Reply With Quote
Old 02-15-2010, 07:43 AM   #7
michaelbn
Junior Member
michaelbn began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Feb 2010
Device: Sony PRS-600
Ok. After searching a bit I found that 0.6.21 is my version and I managed to install it. Thank you very much for the help. On the configuration screen I found that this version doesn't support PRS-600 - I'll try with PRS-500...
michaelbn is offline   Reply With Quote
Old 02-17-2010, 02:36 PM   #8
michaelbn
Junior Member
michaelbn began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Feb 2010
Device: Sony PRS-600
Hi. Now that calibre works fine on my desktop I thought it would be a good idea to install it on my netbook, too. On the netbook I'm using the same distro and version (opensuse 11.1). Before trying to install calibre I controlled the installed packages in order to be sure there is all I need (poppler, mechanize, cssutils, etc.). Then I tried the same as on my desktop and got this:
misam:/opt/calibre # python setup.py install
'import site' failed; use -v for traceback
Traceback (most recent call last):
File "setup.py", line 99, in <module>
sys.exit(main())
File "setup.py", line 85, in main
command.run_all(opts)
File "/opt/calibre/setup/__init__.py", line 158, in run_all
self.run_cmd(self, opts)
File "/opt/calibre/setup/__init__.py", line 149, in run_cmd
cmd.pre_sub_commands(opts)
File "/opt/calibre/setup/install.py", line 128, in pre_sub_commands
import calibre.utils.config as c
File "/opt/calibre/src/calibre/__init__.py", line 45, in <module>
cssutils.log.setLevel(logging.WARN)
File "/usr/lib/python2.6/site-packages/cssutils/errorhandler.py", line 73, in
__getattr__
'(errorhandler) No Attribute "%s" found' % name)
AttributeError: (errorhandler) No Attribute "setLevel" found

I don't know what to do as cssutils are installed...
Thanks in advance.
michaelbn is offline   Reply With Quote
Old 02-17-2010, 02:38 PM   #9
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 26,435
Karma: 5383257
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
You need cssutil >= 0.9.7 alpha 2
kovidgoyal is online now   Reply With Quote
Old 02-17-2010, 03:50 PM   #10
michaelbn
Junior Member
michaelbn began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Feb 2010
Device: Sony PRS-600
I tried to install the same version as on my desktop (0.6.21) where it works with cssutils-0.9.5b2...
michaelbn is offline   Reply With Quote
Old 02-17-2010, 03:52 PM   #11
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 26,435
Karma: 5383257
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Install the latest cssutils, its not hard

sudo easy_install -U cssutils
kovidgoyal is online now   Reply With Quote
Old 02-17-2010, 04:01 PM   #12
michaelbn
Junior Member
michaelbn began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Feb 2010
Device: Sony PRS-600
As a first message I get back "import site failed use -v vor backtrace" and then there come a lot of error messages finishing with "RuntimeError: maximum recursion depth exceeded in cmp"
I looked in /usr/lib/python2.6/ and there I found site.py, site.pyc and site.pyo. Ah - in case it's important: there is a link /usr/local/lib/python2.6 to /usr/lib/python2.6
michaelbn is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Calibre 0.7.22 not starting in openSUSE 11.3 cyberdude Calibre 2 10-10-2010 10:26 AM
Infinite Calibre 0.7.4 Installation Midas Calibre 2 06-22-2010 03:03 PM
I seem to have broken my calibre installation :( booksonthemove Calibre 9 02-04-2010 01:02 PM
installation of calibre tblackt Calibre 2 11-01-2009 08:25 PM
My installation of calibre crashes dynabook Calibre 1 06-02-2008 06:04 PM


All times are GMT -4. The time now is 11:35 PM.


MobileRead.com is a privately owned, operated and funded community.